body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f9f9f9;
}

.container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.form-container {
    width: 400px;
    padding: 20px;
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
}

h2 {
    text-align: center;
    margin-top: 0;
    color: #333;
}

form {
    margin-top: 20px;
    display: grid;
    grid-gap: 10px;
}

form label {
    display: block;
    margin-top: 10px;
    color: #555;
    grid-column: 1 / 2;
}

form input[type="text"],
form input[type="date"] {
    width: 100%;
    padding: 10px;
    margin-top: 5px;
    border: 1px solid #ccc;
    border-radius: 3px;
    transition: border-color 0.3s;
    grid-column: 2 / 3;
}

form input[type="text"]:focus,
form input[type="date"]:focus {
    outline: none;
    border-color: #4CAF50;
}

form input[type="submit"] {
    margin-top: 20px;
    padding: 10px 20px;
    background-color: #4CAF50;
    color: white;
    border: none;
    border-radius: 3px;
    cursor: pointer;
    transition: background-color 0.3s;
    grid-column: 2 / 3;
}

form input[type="submit"]:hover {
    background-color: #45a049;
}

form .form-column {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10px;
}

a {
    display: block;
    margin-top: 20px;
    color: blue;
    text-decoration: underline;
}